pw_endpoint_info Struct Reference
Extensions » Session Manager

## Data Fields

uint32_t | version
| version of this structure More...
uint32_t | id
| the endpoint id (global) More...
char * | media_class
| media class of the endpoint More...
enum pw_direction | direction
| direction of the endpoint More...
uint32_t | flags
| additional flags More...
uint64_t | change_mask
| bitfield of changed fields since last call More...
uint32_t | n_streams
| number of streams available More...
uint32_t | session_id
| the id of the controlling session More...
struct spa_param_info * | params
| parameters More...
uint32_t | n_params
| number of items in params More...

## Field Documentation

## version

uint32_t pw_endpoint_info::version

version of this structure

## id

uint32_t pw_endpoint_info::id

the endpoint id (global)

## media_class

char* pw_endpoint_info::media_class

media class of the endpoint

## direction

enum pw_direction pw_endpoint_info::direction

direction of the endpoint

## flags

uint32_t pw_endpoint_info::flags

additional flags

## change_mask

uint64_t pw_endpoint_info::change_mask

bitfield of changed fields since last call

## n_streams

uint32_t pw_endpoint_info::n_streams

number of streams available

## session_id

uint32_t pw_endpoint_info::session_id

the id of the controlling session

## params

struct spa_param_info* pw_endpoint_info::params

parameters

## n_params

uint32_t pw_endpoint_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/introspect.h